#!/usr/bin/perl
use strict;
use Expect;
 
# Uncomment the following line if you want to see what expect is doing 
$Expect::Exp_Internal = 0;
 
# Uncomment the following line if you don't want to see any output from the script
$Expect::Log_Stdout = 0;
 
# set your username/password here
if( $#ARGV != 1)
{
	print "$0 : Invalid arguments\n";
	exit(-1);
}

my $remoteDriverStore = $ARGV [0];
my $rdsUserName       = $ARGV [1];
my $remotePassword    = $ENV{"IPRINT_REMOTE_IDS_ROOT_PASS"}; 
if( $remotePassword eq "")
{
	print "$0 : Please provide password for $remoteDriverStore\n";
}
my $timeout = 10; 
my $command = "ssh $rdsUserName\@$remoteDriverStore \"sudo /etc/init.d/novell-idsd status\"";
 
# Create the Expect object
my $expect = Expect->spawn( $command);
if( !$expect)
{
 	print "$0 : Failed to communicate with remote driver store at $remoteDriverStore\n";
	exit(-2);
}
 
# If this is the first time you are running this , expect will send "yes" to add the key
# for the sftp server to the ~/.ssh/known_hosts file else
# wait for "Password Authentication" string to show up
$expect->expect($timeout,
		[ "Are you sure you want to continue connecting (yes/no)?",
		  sub 
		  { 	my $self = shift;
                        $self->send("yes\n");
                        exp_continue;
		  }],
		[ "-re", ".*.?assword:.*",
		  sub 
		  { 	my $self = shift; 
			$self->send("$remotePassword\n");
                        exp_continue;
		  }],
		[ "-re", ".*idsd.*",
		  sub 
		  { 	my $self = shift;
		  }]
	);

print $expect->match().$expect->after();
 
# Destroy the expect object
$expect->soft_close();
exit(0);
