#!/bin/sh

args=$@
oldhostname=$1
newhostname=$2
oldmasterhostname=$3
newmasterhostname=$4
total=`echo $args | awk 'END { print NF }'`
## check for root user
 if [ "`id -u`" -ne 0 ];  then 
 	echo "You must be root to run this script!"
	echo ""
 	exit 
  fi 

usage()
{
echo
echo "Usage ->  ./iprinthostnamechange.sh oldhostname newhostname oldmasterhostname newmasterhostname"
echo 
echo "You must enter all four arguments.  oldhostname is your old host name, new hostname is your new host name."
echo "The master hostname is the hostname of the Master of the edirectory tree. oldmasterhostname and newmasterhostname may be the same if the master hostname is not changing"
echo
exit 1
}

     if [ $total -lt 4 ];  then
        
	usage
     fi



echo ""

echo "First before running this script you should change your old hostname to your new hostname in yast2 network.  This script will then change the hostname for your other OES configuration files(iprint). "

echo "Your old hostname $oldhostname is being changed to your new hostname $newhostname"

echo "Your edirectory tree's Master hostname is changing from $oldmasterhostname to $newmasterhostname"

#change /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf
if [ -f /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf ]
then
	echo "Information: Changing /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf"
	sed -i.orig "s/$oldhostname/$newhostname/gi" /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf
	sed -i "s/$oldmasterhostname/$newmasterhostname/gi" /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf
else
	echo "Warning: /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf file not found."
fi



#changing conf files in /etc/opt/novell/iprint/conf directory

changeiprintconf()
{
	echo "Information: Changing $1"
	sed -i.orig "s/$oldhostname/$newhostname/gi" "$1"
	sed -i "s/$oldmasterhostname/$newmasterhostname/gi" "$1"
}

#search for the conf files in /etc/opt/novell/iprint/conf

for file in /etc/opt/novell/iprint/conf/*.conf
do
	changeiprintconf "$file"
done
