#!/bin/sh
args=$@
oldip=$1
newip=$2
oldmasterip=$3
newmasterip=$4
total=`echo $args | awk 'END { print NF }'`
## check for root user
 if [ "`id -u`" -ne 0 ];  then 
 	echo "You must be root to run this script!"
	echo ""
 	exit 
  fi 

usage()
{
echo
echo "Usage ->  ./iprintipchange.sh oldip newip oldmasterip newmasterip"
echo 
echo "You must enter all four arguments.  oldip is your old ip address, new ip is your new ip address."
echo "The masterip is the ipaddress of the Master of the edirectory tree. oldmasterip and newmasterip may be the same if the masterip is not changing"
echo
exit 1
}

     if [ $total -lt 4 ];  then
        
	usage
     fi



echo ""

echo "First before running this script you should change your old ipaddress to your new ipaddress in yast2 network.  This script will then change the ipaddress for your other OES configuration files. "

echo "Your old ipaddress $oldip is being changed to your new ipaddress $newip"

echo "Your edirectory tree's Master IP is changing from $oldmasterip to $masterip"


# change /etc/sysconfig/novell/iprint
if [ -f /etc/sysconfig/novell/iprint ]
then
echo "Information: Changing /etc/sysconfig/novell/iprint file"

sed "s/$oldip/$newip/g" /etc/sysconfig/novell/iprint
else
echo "iprint configuration not found, this product may not be installed."
fi

 # change /etc/sysconfig/novell/iprnt
if [ -f /etc/sysconfig/novell/iprnt ]
then
echo "Information: Changing /etc/sysconfig/novell/iprnt file"
	sed -i.orig "s/$oldip/$newip/g" /etc/sysconfig/novell/iprnt
	sed -i "s/$oldmasterip/$newmasterip/g" /etc/sysconfig/novell/iprnt
else
	echo "Warning: iprint configuration not found, this product may not be installed."
fi

#change /etc/opt/novell/httpd/conf.d/iprint_g.conf
if [ -f /etc/opt/novell/httpd/conf.d/iprint_g.conf ]
then
	echo "Information: Changing /etc/opt/novell/httpd/conf.d/iprint_g.conf file"
      	sed -i.orig "s/$oldip/$newip/g" /etc/opt/novell/httpd/conf.d/iprint_g.conf
	sed -i "s/$oldmasterip/$newmasterip/g" /etc/opt/novell/httpd/conf.d/iprint_g.conf
else
	echo "Warning: /etc/opt/novell/httpd/conf.d/iprint_g.conf file not found."
fi

#change /etc/opt/novell/iprint/httpd/conf/iprint_g.conf
if [ -f /etc/opt/novell/iprint/httpd/conf/iprint_g.conf ]
then
	echo "Information: Changing /etc/opt/novell/iprint/httpd/conf/iprint_g.conf"
	sed -i.orig "s/$oldip/$newip/g" /etc/opt/novell/iprint/httpd/conf/iprint_g.conf
	sed -i "s/$oldmasterip/$newmasterip/g" /etc/opt/novell/iprint/httpd/conf/iprint_g.conf
 else
	echo "Warning: /etc/opt/novell/iprint/httpd/conf/iprint_g.conf file not found."
fi

#change /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf
if [ -f /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf ]
then
	echo "Information: Changing /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf"
	sed -i.orig "s/$oldip/$newip/g" /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf
	sed -i "s/$oldmasterip/$newmasterip/g" /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf
else
	echo "Warning: /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf file not found."
fi

#changing conf files in /etc/opt/novell/iprint/conf directory

changeiprintconf()
{
	echo "Information: Changing $1"
	sed -i.orig "s/$oldip/$newip/g" "$1"
	sed -i "s/$oldmasterip/$newmasterip/g" "$1"
}

#search for the conf files in /etc/opt/novell/iprint/conf

for file in /etc/opt/novell/iprint/conf/*.conf
do
	changeiprintconf "$file"
done
echo "Finished!"
exit 0
